Skip to main content
`Ctrl`+`K`

# PETSCPARTITIONERSHELL

“shell” - A PetscPartitioner object

## Options Database Keys

- -petscpartitioner_shell_random - Use a random partition

## See Also

`PetscPartitionerType`, `PetscPartitionerCreate()`, `PetscPartitionerSetType()`

## Level

intermediate

## Location

src/dm/partitioner/impls/shell/partshell.c

## Examples

src/ts/tutorials/ex30.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages